<?php
abstract class MyWeb_File_View_View extends MyWeb_File_File
{
	private $_cssLink = NULL;
	
	
	protected function set_cssLink($cssLink)
	{
		$this->_cssLink = "\n".$cssLink."\n";
	}
	
	protected function get_cssLink()
	{
		return $this->_cssLink;
	}
	
	protected function addCssLink($path)
	{
		$this->_cssLink .= '$this->headLink()->appendStylesheet($this->DinamicPath().'.'\''.$path.'\''.',\'all\');'."\n";
		return $this->_cssLink;
	}
	//oFormObject.elements["element_name"].value = 'Some Value';
	
	
	
	/**
	 * prida k path view adresar se jmenem modelu
	 * @param $modelName
	 */
	protected function set_defaultDirectoryPath($modelName)
	{
		$this->_default_path_view_php .= $modelName."/";
	}
}